Org Update Billing Settings
curl --request PUT \
--url https://api.example.com/api/organizations/{org_id}/billing/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"auto_reload_amount": 123,
"auto_reload_enabled": true,
"auto_reload_threshold": 123,
"billing_email": "<string>",
"default_payment_method_id": "<string>"
}
'import requests
url = "https://api.example.com/api/organizations/{org_id}/billing/settings"
payload = {
"auto_reload_amount": 123,
"auto_reload_enabled": True,
"auto_reload_threshold": 123,
"billing_email": "<string>",
"default_payment_method_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
auto_reload_amount: 123,
auto_reload_enabled: true,
auto_reload_threshold: 123,
billing_email: '<string>',
default_payment_method_id: '<string>'
})
};
fetch('https://api.example.com/api/organizations/{org_id}/billing/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}public
Org Update Billing Settings
Update an org’s billing settings: billing email, auto-reload thresholds and amount, default payment method. Owner-only.
PUT
/
api
/
organizations
/
{org_id}
/
billing
/
settings
Org Update Billing Settings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful Response
⌘I